#pragma once

#include "MultiblockStructure.h"

class MultiblockTree : public MultiblockStructure
{
public:
    MultiblockTree(int dimensionId,
        __int64 structureId,
        Framework::Vec3<int> uniquePosition);
    virtual void onBlockRemoved(Entity* zActor,
        Item* zUsedItem,
        ItemSkill* zUsedSkill,
        Block* zBlock) override;
};

class MultiblockTreeStructureType : public MultiblockStructureType
{
public:
    MultiblockTreeStructureType();
    virtual MultiblockStructure* createStructure(int dimensionId,
        __int64 structureId,
        Framework::Vec3<int> uniquePosition) const override;
};