#pragma once

#include "Noise.h"

class ShapedNoise : public Noise
{
private:
    Noise* delegateNoise;
    double neighborOffset;

public:
    ShapedNoise(Noise* delegateNoise);
    ~ShapedNoise();
    void setNeighborOffset(double offset);
    double getNoise(double x, double y, double z) override;
    int getSeed() const override;
};